
Redmine - Feature #24927

Render high resolution Gravatars and Thumbnails

2017-01-26 12:36 - Jan from Planio www.plan.io

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

In addition to #24922, this patch implements hi-res support for Gravatars and Thumbnails using the srcset attribute. Only a DPR of

2x is supported currently.

Here, the patch will actually use separate URLs for 1x and 2x images, so that browsers supporting srcset will only load the

appropriate image and will not need to scale on the client.

Related issues:

Related to Redmine - Feature #24922: Support high resolution images in format... Closed

Related to Redmine - Feature #11757: Add support for HDPI screens (retina) Closed

Blocked by Redmine - Defect #24935: Gravatar icons in activity view are broke... Closed

Associated revisions

Revision 16313 - 2017-01-30 20:40 - Jean-Philippe Lang

Hires (2x DPR) image support for Gravatars (#24927).

Patch by Jan Schulz-Hofen.

Revision 16314 - 2017-01-30 20:41 - Jean-Philippe Lang

Hires (2x DPR) image support for Thumbnails (#24927).

Patch by Jan Schulz-Hofen.

Revision 16315 - 2017-01-30 20:42 - Jean-Philippe Lang

Whitespace-only reorg of ApplicationHelper#thumbnail_tag (#24927).

Patch by Jan Schulz-Hofen.

Revision 16316 - 2017-01-30 20:42 - Jean-Philippe Lang

Set thumbnail width on image tag to avoid too wide white boxes on Firefox (#24927).

Patch by Jan Schulz-Hofen.

History

#1 - 2017-01-26 12:36 - Jan from Planio www.plan.io

- Related to Feature #24922: Support high resolution images in formatted content added

#2 - 2017-01-26 13:36 - Jan from Planio www.plan.io

- File deleted (0001-Hires-2x-DPR-image-support-for-Gravatars.patch)

#3 - 2017-01-26 13:36 - Jan from Planio www.plan.io

- File 0001-Hires-2x-DPR-image-support-for-Gravatars.patch added

Quick fix.

#4 - 2017-01-26 14:35 - Go MAEDA

- Related to Feature #11757: Add support for HDPI screens (retina) added
#5 - 2017-01-27 01:21 - Go MAEDA

- Blocked by Defect #24935: Gravatar icons in activity view are broken on r15858 and later added

#6 - 2017-01-28 12:20 - Go MAEDA

Thanks for the patch. Gravatar icons and thumbnails for HDPI display is beautiful.

But I see strange blank area in Firefox. Could you inspect it?

 24927-thumbnail-problem-in-firefox.png 

#7 - 2017-01-28 12:21 - Go MAEDA

- File 24927-thumbnail-problem-in-firefox.png added

#8 - 2017-01-28 19:19 - Jan from Planio www.plan.io

- File 0003-Whitespace-only-reorg-of-ApplicationHelper-thumbnail.patch added

- File 0004-set-thumbnail-width-on-image-tag-to-avoid-too-wide-w.patch added

Thanks for pointing this out. I'm adding two more patches which fix this problem. To me it looks like a bug in Firefox, though...

#9 - 2017-01-29 03:21 - Go MAEDA

Jan from Planio www.plan.io wrote:

Thanks for pointing this out. I'm adding two more patches which fix this problem.

 Thanks, I confirmed that the problem has been fixed.

#10 - 2017-01-29 03:54 - Go MAEDA

- File 24927-effect-gravatar.png added

- Target version changed from Candidate for next minor release to 3.4.0

With these patches, we can see sharp Gravatar icons and thumbnails on High DPI monitors.

High DPI monitors are becoming common these days, so I think that this feature should be included in 3.4.0.

 

#11 - 2017-01-30 20:42 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

Files

0002-Hires-2x-DPR-image-support-for-Thumbnails.patch 897 Bytes 2017-01-26 Jan from Planio www.plan.io

0001-Hires-2x-DPR-image-support-for-Gravatars.patch 914 Bytes 2017-01-26 Jan from Planio www.plan.io

24927-thumbnail-problem-in-firefox.png 73 KB 2017-01-28 Go MAEDA

0003-Whitespace-only-reorg-of-ApplicationHelper-thumbnail.patch 1.43 KB 2017-01-28 Jan from Planio www.plan.io

0004-set-thumbnail-width-on-image-tag-to-avoid-too-wide-w.patch 958 Bytes 2017-01-28 Jan from Planio www.plan.io

24927-effect-gravatar.png 79.5 KB 2017-01-29 Go MAEDA
